This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 723569 - Fix Xen hvmloader bug with gcc 4.6
Fix Xen hvmloader bug with gcc 4.6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-20 11:33 EDT by Pasi Karkkainen
Modified: 2011-07-30 23:36 EDT (History)
6 users (show)

See Also:
Fixed In Version: xen-4.1.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-30 23:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pasi Karkkainen 2011-07-20 11:33:52 EDT
Description of problem:
Xen hvmloader compiled with gcc 4.6 crashes early when trying to launch Xen HVM guests. Example output:

(XEN) io.c:194:d18358 MMIO emulation failed @ 0018:9ffff: 00 e0 de be 00 83
(XEN) hvm.c:1099:d18358 Triple fault on VCPU0 - invoking HVM system reset.

Or another failure mode is to just get "HVM Loader" and then a crash. Using gcc 4.5 instead to compile Xen does not expose this bug.

Version-Release number of selected component (if applicable):
All Xen 4.x versions, including the F15 version of Xen.

How reproducible:
Often/always.

Steps to Reproduce:
1. Try to launch a Xen HVM guest.
  
Actual results:
hvmloader crashes.

Expected results:
hvmloader works and the guests starts OK.

Additional info:

This bug is fixed in upstream Xen repositories, so the bugfix patch should be added to F15 version of Xen.

Upstream xen.org bugfix available here: http://marc.info/?l=xen-devel&m=131117428320002

This bugfix should also be added to rawhide/F16 version of Xen.
Comment 1 Fedora Update System 2011-07-20 15:16:48 EDT
xen-4.1.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xen-4.1.1-2.fc15
Comment 2 Fedora Update System 2011-07-22 15:39:13 EDT
Package xen-4.1.1-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xen-4.1.1-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xen-4.1.1-2.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-07-30 23:36:12 EDT
xen-4.1.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.